### Method

# Vips Image rawsave

#### Declaration [src]

    int
    vips_rawsave (
      VipsImage* in,
      const char* filename,
      ...
    )

#### Description [src]

Writes the pixels in `in` to the file `filename` with no header or other metadata.

See also

`vips_image_write_to_file()`.

This method is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to write to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.